@echo off
cls
echo.
echo.
echo    Welcome to the Batch Menu for the CIV2 Test of Time
echo.
echo    BLOOD SKIN
echo.
echo    by Nicheal
echo.
echo    TYPE 1 for the Blood Skin.
echo    The Batch File will automatically backup your Original Files.
echo    TYPE 2 to uninstall the Skin, and restore the Original Files.
echo.
echo    1. Load the Blood Skin
echo    2. Uninstall and restore
echo    3. EXIT the batch
echo.
echo.

if "%OS%"=="Windows_NT" goto winxp

choice /c:123 Enter your selection:
if errorlevel 3 goto done
if errorlevel 2 goto uninst
if errorlevel 1 goto Blood

:winxp
set /P choice=Type 1, 2, or 3 and hit Enter: 
if %choice%==1 goto Blood
if %choice%==2 goto uninst
if %choice%==3 goto done
goto winxp

:Blood
if not exist Backup md Backup
if not exist Backup\City.bmp copy ..\original\City.bmp Backup\City.bmp
if not exist Backup\Civwin_back.bmp copy ..\original\Civwin_back.bmp Backup\Civwin_back.bmp
if not exist Backup\Dialog.bmp copy ..\original\Dialog.bmp Backup\Dialog.bmp
if not exist Backup\Icons.bmp copy ..\original\Icons.bmp Backup\Icons.bmp
copy Blood\*.bmp ..\original\*.bmp
goto done

:uninst
copy backup\*.bmp ..\original\*.bmp
goto done

:done
exit